Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2013-0170

Overview

Vulnerability Score 9.3 9.3
CVE Id CVE-2013-0170
Last Modified 14 Jan 2015 12:22:43
Published 08 Feb 2013 03:55:01
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2013-0170

Summary

Use-after-free vulnerability in the virNetMessageFree function in rpc/virnetserverclient.c in libvirt 1.0.x before 1.0.2, 0.10.2 before 0.10.2.3, 0.9.11 before 0.9.11.9, and 0.9.6 before 0.9.6.4 allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code by triggering certain errors during an RPC connection, which causes a message to be freed without being removed from the message queue.

Vulnerable Systems

Operating System

  • Canonical Ubuntu Linux 12.04

  • Canonical Ubuntu Linux 12.10

  • Fedoraproject Fedora 17

  • Fedoraproject Fedora 18

  • Novell Opensuse 12.1

  • Novell Opensuse 12.2

  • Novell Suse Linux 11

  • Redhat Enterprise Linux 6

Application

  • Novell Suse Linux Software Development Kit 11.0

  • Redhat Libvirt

  • Redhat Libvirt 0.10.2

  • Redhat Libvirt 0.10.2.1

  • Redhat Libvirt 0.10.2.2

  • Redhat Libvirt 0.9.6

  • Redhat Libvirt 0.9.6.1

  • Redhat Libvirt 0.9.6.2

  • Redhat Libvirt 0.9.6.3

  • Redhat Libvirt 1.0.0

  • Redhat Libvirt 1.0.1

  • Suse Linux Enterprise Software Development Kit 11.0


References

CONFIRM - https://bugzilla.redhat.com/show_bug.cgi?id=893450

XF - libvirt-virnetmessagefree-code-exec(81552)

SECTRACK - 1028047

BID - 57578

CONFIRM - http://wiki.libvirt.org/page/Maintenance_Releases

SECUNIA - 52003

SECUNIA - 52001

REDHAT - RHSA-2013:0199

OSVDB - 89644

FEDORA - FEDORA-2013-1626

FEDORA - FEDORA-2013-1642

FEDORA - FEDORA-2013-1644

CONFIRM - http://libvirt.org/news.html

CONFIRM - http://libvirt.org/git/?p=libvirt.git;a=commit;h=46532e3e8ed5f5a736a02f67d6c805492f9ca720

UBUNTU - USN-1708-1

SUSE - SUSE-SU-2013:0320

SUSE - openSUSE-SU-2013:0275

SUSE - openSUSE-SU-2013:0274

Related Patches

Novell SUSE 2013:7310 libvirt security update for SLE 11 SP2 i586

Novell SUSE 2013:7310 libvirt security update for SLE 11 SP2 x86_64


Last Updated: 27 May 2016 11:07:31